Webvtt subtitles codec

Hi,

I’m having troubles playing video files with webvtt encoded subtitles.
Totem will throw this error message: “application/x-subtitle-unkown decoder is required to play the file, but is not installed”

I can’t figure out what I need to install to get the subtitles working. These are the gstreamer packages I have installed:

gstreamer1.x86_64                                 1.19.1-2.1.18.4.fc34                   @updates                        
gstreamer1-libav.x86_64                           1:1.18.4-3.fc34                        @rpmfusion-free-updates         
gstreamer1-plugin-openh264.x86_64                 1.18.2-1.fc34                          @fedora-cisco-openh264          
gstreamer1-plugins-bad-free.x86_64                1.19.1-3.1.18.4.fc34                   @updates                        
gstreamer1-plugins-base.x86_64                    1.19.1-2.1.18.4.fc34                   @updates                        
gstreamer1-plugins-good.x86_64                    1.19.1-2.1.18.4.fc34                   @updates                        
gstreamer1-plugins-good-gtk.x86_64                1.19.1-2.1.18.4.fc34                   @updates                        
gstreamer1-plugins-good-qt.x86_64                 1.19.1-2.1.18.4.fc34                   @updates                        
gstreamer1-plugins-ugly-free.x86_64               1.19.1-2.1.18.4.fc34                   @updates                        
pipewire-gstreamer.x86_64                         0.3.25-1.fc34                          @fedora                         

I tried to install gstreamer1-plugins-good-extras but that didn’t help.
Thanks for any advice. :]

EDIT: Ok, so apparently it’s part of gstreamer bad plugins: gstreamer1-plugins-bad-free-1.19.1-3.1.18.4.fc34 - Fedora Packages
(if you search for webvttenc on that page, it’s there)
I do have that package installed… also there’s not problem when playing the files with mpv. Maybe there’s a bug in Totem?

Web Video Text Tracks Format (WebVTT)

Use Firefox or VLC?